Type to search.

Preview features used by data frame analytics

  • POST also GET /_ml/data_frame/analytics/{id}/_preview
  • POST also GET /_ml/data_frame/analytics/_preview
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.13 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Preview the extracted features used by a data frame analytics config.

Required privileges

Cluster privileges monitor_ml

Path parameters

id string optional

Identifier for the data frame analytics job.

Leave it out to use /_ml/data_frame/analytics/_preview.

Request body

Response

application/json
feature_values string to string[] required

An array of objects that contain feature name and value pairs. The features have been processed and indicate what will be sent to the model for training.